<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <!--<link rel="stylesheet" href="/stylesheets/ionicons.min.css">-->

    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="https://rawgit.com/moment/moment/2.2.1/min/moment.min.js"></script>
  
    <script src="https://use.fontawesome.com/976a604b27.js"></script>
    <script src="{{=URL('static','js/bootstrap-slider.min.js')}}"></script>
    
    <script src="http://www.chartjs.org/dist/2.7.2/Chart.bundle.js"></script>

    <link href="http://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
    <link rel="stylesheet" href="https://bootswatch.com/4/materia/bootstrap.css"/>
    <link rel="stylesheet" href="{{=URL('static','css/bootstrap-slider.min.css')}}"/>
    <link rel="stylesheet" href="{{=URL('static','fonts/style.css')}}"/>

    <!--<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">-->
    <link rel="icon" href="http://flashype.com/wp-content/uploads/2018/05/cropped-flasHype-icon-32x32.png" sizes="32x32" />
    <link rel="icon" href="http://flashype.com/wp-content/uploads/2018/05/cropped-flasHype-icon-192x192.png" sizes="192x192" />
    <link rel="apple-touch-icon-precomposed" href="http://flashype.com/wp-content/uploads/2018/05/cropped-flasHype-icon-180x180.png" />
    

    <style>
      .content-wrapper {
        font-size: 14px;
        text-align: left;
        line-height: 22px;
        font-weight: bold;
        margin-left:15px;
      }
       #map, #dialog {
        height: 1200px;
       }
       #dialog {
         background-color:#fafafa;
       }
       body {
         font-family: Raleway
       }
       #resultTabContent{
        font-size:16px; 
        min-height: 100px; 
        padding:15px;
        border: 1px solid #ddd;
        border-top:none;
       }
       .requestHistoryRow{
         cursor: pointer;
       }
       .nav-tabs>li>a>i{
         color: #1a528b;
         text-decoration: none;
         font-weight: bolder;
         font-size: 20px;
       }
       .no-margin {
         width:100%;
          max-width:100%;
       }
    </style>


  </head>
  <body>

    <script>
    window.chartColors = {
	red: 'rgb(255, 99, 132)',
	orange: 'rgb(255, 159, 64)',
	yellow: 'rgb(255, 205, 86)',
	green: 'rgb(75, 192, 192)',
	blue: 'rgb(54, 162, 235)',
	purple: 'rgb(153, 102, 255)',
	grey: 'rgb(201, 203, 207)'
  };
      // Slider
      $(document).ready(function(){
        $('#ex1').show();
        $('#ex1').slider({
          formatter: function(value) {
            return 'Current value: ' + value;
          }
        });
        $("#ex1").on("slide", function(slideEvt) {
          $("#ex1SliderVal").text(slideEvt.value);
          changeRadius(slideEvt.value*10);
        });
      })
    </script>

       <div class="container no-margin">

      {{include 'comparative_map/spinner.html'}} 

            <div class="row">

                <div class="col-sm-2" id="dialog">
                  {{include 'default/input_box.html'}}
                  {{include 'default/name_search_box.html'}}
                  <input style="display:none" id="ex1" data-slider-id='ex1Slider' type="text" data-slider-min="0" data-slider-max="20" data-slider-step="1" data-slider-value="14"/>
<span id="ex1CurrentSliderValLabel">HeatMap Radius: <span id="ex1SliderVal">15</span></span>
                  
                </div>

                <div class="col-sm-7" id="map">
                </div>
                <div class="col-sm-3" id="retailer_table_info">
                </div>

            </div> 



 
            
        </div>

                  {{include 'default/modal_posts2.html'}}

    <script>

marker_colors = [ '00FF00', '02FC00', '05F900', '07F700', '0AF400', '0CF200', '0FEF00', '11ED00', '14EA00', '16E800', '19E500', '1CE200', '1EE000', '21DD00', '23DB00', '26D800', '28D600', '2BD300', '2DD100', '30CE00', '33CC00', '35C900', '38C600', '3AC400', '3DC100', '3FBF00', '42BC00', '44BA00', '47B700', '49B500', '4CB200', '4FAF00', '51AD00', '54AA00', '56A800', '59A500', '5BA300', '5EA000', '609E00', '639B00', '669900', '689600', '6B9300', '6D9100', '708E00', '728C00', '758900', '778700', '7A8400', '7C8200', '7F7F00', '827C00', '847A00', '877700', '897500', '8C7200', '8E7000', '916D00', '936B00', '966800', '996600', '9B6300', '9E6000', 'A05E00', 'A35B00', 'A55900', 'A85600', 'AA5400', 'AD5100', 'AF4F00', 'B24C00', 'B54900', 'B74700', 'BA4400', 'BC4200', 'BF3F00', 'C13D00', 'C43A00', 'C63800', 'C93500', 'CC3200', 'CE3000', 'D12D00', 'D32B00', 'D62800', 'D82600', 'DB2300', 'DD2100', 'E01E00', 'E21C00', 'E51900', 'E81600', 'EA1400', 'ED1100', 'EF0F00', 'F20C00', 'F40A00', 'F70700', 'F90500', 'FC0200', 'FF0000' ]

marker_colors = [ 'fff', 'eee', 'eee', 'eee', 'eee', 'eee', 'eee', 'ddd', 'ddd', 'ddd', 'ddd', 'ddd', 'ddd', 'ccc', 'ccc', 'ccc', 'ccc', 'ccc', 'ccc', 'bbb', 'bbb', 'bbb', 'bbb', 'bbb', 'bbb', 'aaa', 'aaa', 'aaa', 'aaa', 'aaa', 'aaa', 'aaa', '999', '999', '999', '999', '999', '999', '999', '888', '888', '888', '888', '888', '888', '888', '777', '777', '777', '777', '777', '777', '777', '666', '666', '666', '666', '666', '666', '666', '555', '555', '555', '555', '555', '555', '555', '444', '444', '444', '444', '444', '444', '444', '333', '333', '333', '333', '333', '333', '333', '222', '222', '222', '222', '222', '222', '222', '111', '111', '111', '111', '111', '111', '111', '000', '000', '000', '000', '000', '000', '000', '000' ]

    var markersOnMap = [];
    var map;

    $(document).ready(function(){
      //initialize();
    });

var data = [
  {{for point in points:}}
     {
       "longitude": {{=point['longitude']}},
      "latitude": {{=point['latitude']}},
      "fan_count": {{=point['fan_count']}},
      "name": "{{=point['name']}}",
      "facebook_id": {{=point['facebook_id']}},
      "email": "{{=point['emails']}}",
      "street": "{{=point['street']}}",
      "zip": "{{=point['zip']}}",
      "city": "{{=point['city']}}",
      "checkins": "{{=point['checkins']}}",
      "category": "{{=point['category']}}",
      "category_1_id": "{{=point['category_1_id']}}",
      "category_1_name": "{{=point['category_1_name']}}",
      "category_2_id": "{{=point['category_2_id']}}",
      "category_2_name": "{{=point['category_2_name']}}",
      "category_3_id": "{{=point['category_3_id']}}",
      "category_3_name": "{{=point['category_3_name']}}",
      "is_community_page": "{{=point['is_community_page']}}",
      "is_unclaimed": "{{=point['is_unclaimed']}}",
      "is_permanently_closed": "{{=point['is_permanently_closed']}}",
      "about": "{{=point['about']}}",
      "description": "{{=point['description']}}",
      "website": "{{=point['website']}}",
      "phone": "{{=point['phone']}}",
      "monday_hours": "{{=point['monday_hours']}}",
      "tuesday_hours": "{{=point['tuesday_hours']}}",
      "wednesday_hours": "{{=point['wednesday_hours']}}",
      "thursday_hours": "{{=point['thursday_hours']}}",
      "friday_hours": "{{=point['friday_hours']}}",
      "saturday_hours": "{{=point['saturday_hours']}}",
      "sunday_hours": "{{=point['sunday_hours']}}",
      "link": "{{=point['link']}}",
      "price_range": "{{=point['price_range']}}",
      "accepts_american_express": "{{=point['accepts_american_express']}}",
      "accepts_cash_only": "{{=point['accepts_cash_only']}}",
      "accepts_discover": "{{=point['accepts_discover']}}",
      "accepts_mastercard": "{{=point['accepts_mastercard']}}",
      "accepts_visa": "{{=point['accepts_visa']}}",
      "has_lot_parking": "{{=point['has_lot_parking']}}",
      "has_street_parking": "{{=point['has_street_parking']}}",
      "has_valet_parking": "{{=point['has_valet_parking']}}",
      "public_transit": "{{=point['public_transit']}}",
      "overall_star_rating": "{{=point['overall_star_rating']}}",
      "start_type": "{{=point['start_type']}}",
      "start_date_year": "{{=point['start_date_year']}}",
      "start_date_month": "{{=point['start_date_month']}}",
      "start_date_day": "{{=point['start_date_day']}}",
      "food_styles": "{{=point['food_styles']}}",
      "catering_service": "{{=point['catering_service']}}",
      "delivery_service": "{{=point['delivery_service']}}",
      "group_friendly": "{{=point['group_friendly']}}",
      "kids_friendly": "{{=point['kids']}}",
      "outdoor_seating": "{{=point['outdoor_seating']}}",
      "pickup_service": "{{=point['pickup_service']}}",
      "takes_reservations": "{{=point['takes_reservations']}}",
      "takeout_service": "{{=point['takeout_service']}}",
      "has_waiters": "{{=point['has_waiters']}}",
      "welcomes_walkins": "{{=point['welcomes_walkins']}}",
      "serves_breakfast": "{{=point['serves_breakfast']}}",
      "serves_coffe": "{{=point['serves_coffe']}}",
      "serves_dinner": "{{=point['serves_dinner']}}",
      "serves_drinks": "{{=point['serves_drinks']}}",
      "serves_lunch": "{{=point['serves_lunch']}}",
      "sector": "{{=point['sector']}}",
      "vertical": "{{=point['vertical']}}",
      "posts_count": "{{=point['posts_count']}}",
     },
  {{pass}}
];

var markerCluster = null;
var markers = [];

      function initMap() {

        infowindow = new google.maps.InfoWindow();

        var styles = [ { featureType: "poi", stylers: [ { visibility: "off" } ]   } ];
        var styledMap = new google.maps.StyledMapType(styles,{name: "Styled Map"});
        

        var center = new google.maps.LatLng(37.4419, -122.1419);
        var centerzgz = {lat: 41.651802, lng:  -0.892856};
        var bbzgz = {lat: 41.63806556, lng: -0.90280372};
        var osasco = {lat: -23.5657720242, lng: -46.6683018208};


        map = new google.maps.Map(document.getElementById('map'), {
          zoom: 18,
           center: centerzgz,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        });

        heatmap = new google.maps.visualization.HeatmapLayer({
          data: getPoints(),
          radius: 40,
          map: map
        });
        
        map.mapTypes.set('styled_map', styledMap);
        map.setMapTypeId('styled_map');

        for (var i = 0; i < data.length; i++) {
          var point = data[i];
          add_marker(point);
        }
        apply_clusters();
      }

  function clear_markers(){
      markers.forEach(function(marker) {
          marker.setMap(null);
      });
      markers = []
      markerCluster.clearMarkers(map);
  }

  function changeRadius(radius) {
    heatmap.set('radius', radius);
  }
  function toggle_heatmap() {
    heatmap.setMap(heatmap.getMap() ? null : map);
  }

  function changeGradient() {
    var gradient = [
      'rgba(0, 255, 255, 0)',
      'rgba(0, 255, 255, 1)',
      'rgba(0, 191, 255, 1)',
      'rgba(0, 127, 255, 1)',
      'rgba(0, 63, 255, 1)',
      'rgba(0, 0, 255, 1)',
      'rgba(0, 0, 223, 1)',
      'rgba(0, 0, 191, 1)',
      'rgba(0, 0, 159, 1)',
      'rgba(0, 0, 127, 1)',
      'rgba(63, 0, 91, 1)',
      'rgba(127, 0, 63, 1)',
      'rgba(191, 0, 31, 1)',
      'rgba(255, 0, 0, 1)',
      'rgba(255, 0, 0, 1)',
    ]
    heatmap.set('gradient', heatmap.get('gradient') ? null : gradient);
  }

  function get_link_for_open_posts(point){
    return '<a class="open_posts" href="#" fb_id="'+point.facebook_id + '">Ver Posts</a>';
  }

  window.last_marker_opened = {};

      function add_marker(point) {
          var latLng = new google.maps.LatLng(point.latitude, point.longitude);
          marker = new google.maps.Marker({
              position: latLng, 
              content : mountMarkerContent(point),
              // icon : 'http://chart.apis.google.com/chart?chst=d_map_pin_letter'
              icon : 'http://chart.apis.google.com/chart?chst=d_map_pin_letter&chld=%E2%80%A2|222'
          });
          google.maps.event.addListener(marker, 'click', function () {
            // where I have added .html to the marker object.
            infowindow.setContent(this.content);
            infowindow.open(map, this);
            window.last_marker_opened = point;
            render_retailer_info_table(window.last_marker_opened);
            console.log(window.last_marker_opened);
            bind_open_posts();
          });

          markers.push(marker);
      }   

  function mountMarkerContent(point) {
    
    var myname = htmlwrapper('h4', point.name);
    var fan_count = htmlwrapper('div', 'Fans: ' + point.fan_count);
    var posts_count = htmlwrapper('div', 'Posts últ. año: ' + point.posts_count);
    var fb_link = htmlwrapper('div', get_link_for_open_posts(point));
    // round_engadgement = htmlwrapper('div', 'Engagement: ' + round_engadgement + '%');
    round_engadgement = '';

    var pic = '<IMG BORDER="0" ALIGN="Center" style="width:150px; margin: 15px 0 15px 15px;" SRC="http://graph.facebook.com/v3.0/' + point.facebook_id + '/picture?type=normal">';
    link_to_retailer_fb = "https://www.facebook.com/" + point.facebook_id;
    pic = '<a href="' + link_to_retailer_fb + '" target="_blank">' + pic + myname + '</a>';
    var content =  '<div class="content-wrapper">' +  fan_count + round_engadgement + posts_count + fb_link + '</div>';
    var pic_wrapped = '<div class="pic_wrapper">' + pic + '</div>';
    return pic_wrapped + content;
  }

  function htmlwrapper(element, content){
    return '<'+element+'>'+content+'</'+element+'>';
  }


  function render_retailer_info_table(point) {

    var pic = '<IMG BORDER="0" ALIGN="Center" style="width:150px; margin: 15px 0 15px 15px;" SRC="http://graph.facebook.com/v3.0/' + point.facebook_id + '/picture?type=normal">';
    link_to_retailer_fb = "https://www.facebook.com/" + point.facebook_id;
    pic = '<a href="' + link_to_retailer_fb + '" target="_blank">' + pic + htmlwrapper('h4', point.name)+ '</a>';
    
    var table = '<table class="table table-hover">';

    table += get_purple_row('Fans',point.fan_count);
    table += get_blue_row('Calle',point.street);
    table += get_white_row('Código Postal',point.zip);
    table += get_blue_row('Email',point.email);
    table += get_white_row('Checkins',point.checkins);
    table += get_blue_row('Categoría',point.category);
    table += get_white_row('Sitio web',point.website);
    table += get_blue_row('Teléfono',point.phone);
    table += get_white_row('Horario Lunes',point.monday_hours);
    table += get_blue_row('Horario Martes',point.tuesday_hours);
    table += get_white_row('Horario Miércoles',point.wednesday_hours);
    table += get_blue_row('Horario Jueves',point.thursday_hours);
    table += get_white_row('Horario Viernes',point.friday_hours);
    table += get_blue_row('Horario Sábado',point.saturday_hours);
    table += get_white_row('Horario Domingo',point.sunday_hours);
    table += get_blue_row('Vertical',point.vertical);
    table += get_white_row('Sector',point.sector);

    table += get_blue_row('Categoría 1',point.category_1_name);
    table += get_white_row('Categoría 2',point.category_2_name);
    table += get_blue_row('Categoría 3',point.category_3_name);
    table += get_white_row('is_unclaimed',point.is_unclaimed);
    table += get_blue_row ('is_permanently_closed',point.is_permanently_closed);
    table += get_white_row('about',point.about);
    table += get_blue_row ('description',point.description);
    table += get_white_row('price_range',point.price_range);
    table += get_blue_row ('accepts_american_express',point.accepts_american_express);
    table += get_white_row('accepts_cash_only',point.accepts_cash_only);
    table += get_blue_row ('accepts_discover',point.accepts_discover);
    table += get_white_row('accepts_mastercard',point.accepts_mastercard);
    table += get_blue_row ('accepts_visa',point.accepts_visa);
    table += get_white_row('has_lot_parking',point.has_lot_parking);
    table += get_blue_row ('has_street_parking',point.has_street_parking);
    table += get_white_row('has_valet_parking',point.has_valet_parking);
    table += get_blue_row ('public_transit',point.public_transit);
    table += get_white_row('overall_star_rating',point.overall_star_rating);
    table += get_blue_row ('start_type',point.start_type);
    table += get_white_row('start_date_year',point.start_date_year);
    table += get_blue_row ('start_date_month',point.start_date_month);
    table += get_white_row('start_date_day',point.start_date_day);
    table += get_blue_row ('food_styles',point.food_styles);
    table += get_white_row('catering_service',point.catering_service);
    table += get_blue_row ('delivery_service',point.delivery_service);
    table += get_white_row('group_friendly',point.group_friendly);
    table += get_blue_row ('kids_friendly',point.kids_friendly);
    table += get_white_row('outdoor_seating',point.outdoor_seating);
    table += get_blue_row ('pickup_service',point.pickup_service);
    table += get_white_row('takes_reservations',point.takes_reservations);
    table += get_blue_row ('takeout_service',point.takeout_service);
    table += get_white_row('has_waiters',point.has_waiters);
    table += get_blue_row ('welcomes_walkins',point.welcomes_walkins);
    table += get_white_row('serves_breakfast',point.serves_breakfast);
    table += get_blue_row ('serves_coffe',point.serves_coffe);
    table += get_white_row('serves_dinner',point.serves_dinner);
    table += get_blue_row ('serves_drinks',point.serves_drinks);
    table += get_white_row('serves_lunch',point.serves_lunch);
    table += get_blue_row ('is_community_page',point.is_community_page);

/*  table += get_white_row('Sector',point.);
    table += get_blue_row('ertical',point.);*/



    table += '</table>';


    $("#retailer_table_info").html(pic + table);
  }

  function dobolder(content) {
    return '<b>' + content + '</b>';
  }

  function get_red_row(key_name, data) {
    return '<tr class="table-danger">' + finishcloserow(key_name,data);
  }
  function get_orange_row(key_name, data) {
    return '<tr class="table-warning">' + finishcloserow(key_name,data);
  }
  function get_white_row(key_name, data) {
    return '<tr class="table-primary">' + finishcloserow(key_name,data);
  }
  function get_blue_row(key_name, data) {
    return '<tr class="table-secondary">' + finishcloserow(key_name,data);
  }
  function get_purple_row(key_name, data) {
    return '<tr class="table-info">' + finishcloserow(key_name,data);
  }
  function get_green_row(key_name, data) {
    return '<tr class="table-success"> '+  finishcloserow(key_name,data);
  }
  function finishcloserow( key_name, data) {
    if (data=='True') data = '<i class="fa fa-2x fa-check-circle"></i>';
    if (data=='False') data = '<i class="fa fa-2x fa-times-circle"></i>';

    var row = '<td>' + dobolder(key_name) + '</td>';
        row += '<td>' + data + '</td>';
      row += '</tr>';
    return row;
  }

  function getPoints() {
    return [
      {{for point in points:}}
              {location: new google.maps.LatLng({{=point['latitude']}}, {{=point['longitude']}}), weight:100 },
              // {location: new google.maps.LatLng({{=point['latitude']}}, {{=point['longitude']}}), weight: {{=point['posts_count'] }} },
      {{pass}}
    ];
  }

    </script>

    <!--<script src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCull_OMPV77_6NssEYPLFQj496rCaWzNg"> </script>-->
    <script async defer
        src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCull_OMPV77_6NssEYPLFQj496rCaWzNg&libraries=visualization&callback=initMap">
    </script>
    <script src="https://googlemaps.github.io/js-marker-clusterer/src/markerclusterer.js"> </script>
  </body>
</html>

